Subject: Re: [PATCH] net: NEWEMAC: Remove "rgmii-interface" from rgmii matching table

From: Josh Boyer <[email-masked]>
Date: Tue, 5 Feb 2008 15:12:16 -0600

On Thu, 31 Jan 2008 10:14:58 +1100
Benjamin Herrenschmidt <[email-masked]> wrote:

> 
> On Wed, 2008-01-30 at 07:16 +0100, Stefan Roese wrote:
> > On Wednesday 16 January 2008, Josh Boyer wrote:
> > > On Wed, 16 Jan 2008 20:53:59 +1100
> > >
> > > Benjamin Herrenschmidt <[email-masked]> wrote:
> > > > On Wed, 2008-01-16 at 10:37 +0100, Stefan Roese wrote:
> > > > > With the removal the the "rgmii-interface" device_type property from
> > > > > the dts files, the newemac driver needs an update to only rely on
> > > > > compatible property.
> > > > >
> > > > > Signed-off-by: Stefan Roese <[email-masked]>
> > > >
> > > > I need to test if it works on CAB, can't change the DT on those. I'll
> > > > let you know tomorrow.
> > >
> > > This should be fine on CAB.  The rgmii node has:
> > >
> > > compatible = "ibm,rgmii-axon", "ibm,rgmii"
> > >
> > > so the match should still catch on the latter.
> > 
> > How about this patch? Ben, if you think this is ok then we should make sure 
> > that it goes in in this merge-window, since the other dts patch relies on it.
> 
> It's fine.

Jeff, any chance this can get into .25 soon?  I have another patch
queued up behind this one that requires it, and I don't see it in any
of your trees or branches.

Or, if you aren't opposed, I can take it through Paul's tree with your
Ack.

josh